Synaptic Package Manager error

Asked by lupitasosa on 2012-11-26

I ran Xubuntu 12.04 (precise) 32-bit. Yesterday I used the computer and I had 9 updates notified, I didn't install the updates. Today where the notifications icon is shows a square with an "X". I clicked there and says:
 An error ocurred, please run Package Manager from the right click menu or apt-get in a terminal to see what is wrong. The error message was: 'Unknown Error 'type< 'exceptions.SystemError'>'(E: Syntax error /etc/apt/apt.conf.d/99synaptic:19: Extra junk after value)'This usually means that your installed packages have unmet dependencies.

Neither Package Manager nor Ubuntu Software Center works.

In a terminal I wrote: sudo apt-get update and it returned with the same message:

E: Syntax error /etc/apt/apt.conf.d/99synaptic:19: Extra junk after value

How do I uninstall Synaptic and re install it to make it work? Thank you.

Question information

Language:
English Edit question
Status:
Solved
For:
Ubuntu update-manager Edit question
Assignee:
No assignee Edit question
Solved by:
N1ck 7h0m4d4k15
Solved:
2012-11-29
Last query:
2012-11-29
Last reply:
2012-11-27

What is the output of:

cat /etc/apt/apt.conf.d/99synaptic

Thanks

If you run:

sudo apt-get update; sudo apt-get upggrade; sudo apt-get dist-upggrade

Does it upgrade ok?

lupitasosa (lupitasosa) said : #3

If I run: sudo apt-get update; sudo apt-get upggrade; sudo apt-get dist-upggrade
It returns with:

E: Syntax error /etc/apt/apt.conf.d/99synaptic:19: Extra junk after value
E: Syntax error /etc/apt/apt.conf.d/99synaptic:19: Extra junk after value
E: Syntax error /etc/apt/apt.conf.d/99synaptic:19: Extra junk after value

"What is the output of:

cat /etc/apt/apt.conf.d/99synaptic

Thanks"

I do not how to run this. I don't know what cat is. But what I did was to copy and paste:

 /etc/apt/apt.conf.d/99synaptic

In alt+F2 and it returns with this: Failed to execute child process "/etc/apt/apt.conf.d/99synaptic" (Permission denied).

Thank you.

lupitasosa (lupitasosa) said : #4

There is a problem with Firefox also. It doesn't open. I tried to dowloading it again, but it doesn't work. The 2 problems are related, but I don't know how.

lupitasosa (lupitasosa) said : #5

In a terminal I wrote: cat /etc/apt/apt.conf.d/99synaptic
It returned with all this:

��D
<a\����!2
                         BO5h�2�
�3%4"Z}
                                                �
                                                 ��3�'�

'u "' !J l � � �
� � D� 7
M
h
z

=�
Y
&2
  +Y
    0�
      (�
        5�
           
            !6
              /X
                �
                  �
                    �
                    �
                     ,�
                       j�
EpZ^ar�����B�,5< r?�&�'�"8=C$Kp-�$��.�l.�
�"��
7
                        KXCk����7 IA"�&�)��*!J l6�����%�\Ro]�< b]� ����5",C&#?;
                                                            $1*=
'
 .+0AB
<>!72(3%:
                                 846
)@-9/ %s is not available<b><big> </big></b><b>Maintainer:</b><b>Priority:</b><b>Section:</b><b>Size:</b><b>To be removed: %s</b><b>To install the following changes are required:</b><b>Version:</b>A later version is available in a software channelAll dependencies are satisfiedAn older version is available in a software channelCould not download all required filesCould not install all dependenciesCould not open '%s'DescriptionDescription:DetailsDo you want to install the software package? [y/N]:Downloading additional package files...Failed to completely install all dependenciesFailed to install package '%s'Failed to install package fileGPL, see /usr/share/common-licenses/GPLGenerally you are recommended to install the version from the software channel, since it is usually better supported.Included FilesInstall and view software packagesInstall unauthenticated software?Installation completeInstalling '%s'...Installing dependencies...Installing package file...Loading...No description is availableOnly one software management tool is allowed to run at the same timeOpen Software PackagePackage '%s' was installedPackage InstallerPackage Installer - %sPackage:Please check your internet connection or installation medium.Please close the other application e.g. 'Update Manager', 'aptitude' or 'Synaptic' first.Please insert '%s' into the drive '%s'Requires the <b>removal</b> of %s packages
Requires the REMOVAL of the following packages: Requires the installation of %s packagesRequires the installation of the following packages: Run non-interactive (dangerous!)Same version is already installedSame version is available in a software channelSoftware packageSoftware packagesStatus:TerminalThe following packages are UNAUTHENTICATED: The package might be corrupted or you are not allowed to open the file. Check the permissions of the file.To be installed: %sTo fix this run 'sudo apt-get install -f' in a terminal window.Usually this is related to an error of the software distributor. See the terminal window for more details.You are recommended to install the software from the channel instead.You are strongly advised to install the version from the software channel, since it is usually better supported._Details_File_Help_Install Package_Reinstall PackageProject-Id-Version: gdebi
Report-Msgid-Bugs-To: <email address hidden>
POT-Creation-Date: 2012-03-21 22:16+0000
PO-Revision-Date: 2006-05-14 06:11+0000
Last-Translator: Ante Karamatić <email address hidden>
Language-Team: Croatian <email address hidden>
Language: hr
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
  %s nije dostupan<b><big> </big></b><b>Održavatelj:</b><b>Prioritet:</b><b>Odjeljak:</b><b>Veličina:</b><b>Za uklanjanje: %s</b><b>Za završetak instalacije, potrebne su slijedeće promjene:</b><b>Verzija:</b>Novija verzija je dostupna u službenim repozitorijmaSve međuzavisnosti su rješene.Starija verzija paketa je dostupna u službenim repozitorijima.Ne mogu preuzeti sve potrebne datotekeNe mogu instalirati sve međuzavisnostiNe mogu otvoriti '%s'OpisOpis:DetaljiŽelite li instalirati paket? [d/N]:Preuzimam dodatne pakete...Instalacija svih međuzavisnosti nije uspjelaInstalacija paketa '%s' nije uspjelaInstalacija paketa nije uspjelaGPL, pogledajte /usr/share/common-licenses/GPLUglavnom se preporuča instalacija verzije iz službenih repozitorija jer su paketi od tamo bolje podržani.Uključene datotekeInstaliraj i pregledaj paketeInstalirati neautorizirane pakete?Instalacija završenaInstaliram '%s'...Instaliram međuzavisnosti...Instaliram paket...Učitavam...Opis nije dostupanDozvoljno je pokretanje samo jednog paketnog alata u istom trenutkuOpen Softver paketPaket '%s' je instaliranPaketni instalerPaketni instaler - %sPaket:Provjerite svoju Internet vezu ili instalacijski medij.Molim, prvo zatvorite preostale programe, npr. 'aptitude' ili 'Synaptic'.Molim, ubacite '%s' u uređaj '%s'Zahtijeva <b>uklanjanje</b> %s paketa
Zahtijeva UKLANJANJE slijedećih paketa: Zahtijeva instalaciju %s paketaZahtijeva instalaciju slijedećih paketa: Pokreni bez interakcije (opasno!)Ista verzija već je instaliranaIsta verzija je dostupna putem službenih repozitorijaPaketPaketiStatus:TerminalSlijedeći paketi NISU autorizirani: Paket je neispravan ili nemate dozvolu ga otvoriti. Provjerite dozvole na datoteci.Za instalaciju: %sKako biste ovo popravili, pokrenite 'sudo apt-get install -f' u konzolnom prozoru.Obićno je ovo zbog greške distributera paketa. Pogledajte konzolni prozor za više detalja.Preporuča se instalacija paketa sa službenih repozitorija.Preporuča se instalacija paketa sa službenog repozitorija jer su paketi od tamo bolje podržani._DetaljiD_atoteka_Pomoć_Instaliraj paket_Ponovo instaliraj paketlupita@Durandal:~$

If you run:

sudo mv /etc/apt/apt.conf.d/99synaptic $HOME/99synaptic

sudo apt-get --reinstall install synaptic

Does it then work ok?

Best N1ck 7h0m4d4k15 (nicktux) said : #7

Also you can try this command from console mode (CTRL+ALT+F1). Login with username & password and run

~$ sudo service lightdm stop

~$ sudo dpkg --configure -a

~$ sudo service lightdm start

and see if something fixed.

Thanks

lupitasosa (lupitasosa) said : #8

Well, English is not my language, but I'll try to explain what happened. I copied in a terminal what actionparsnip told me to:

sudo mv /etc/apt/apt.conf.d/99synaptic $HOME/99synaptic

Nothing happened at all. Then:

sudo apt-get --reinstall install synaptic

And it returned with a message saying something like Synaptic could not be downloaded.

Then I went and tried to do what NikTh said in post #7. I entered to the console mode, but realized that I didn't copied the commands he gave, so I rebooted the machine, to go and copy them.

When the machine started the problem was gone. I opened Update Manager and did the updates, and synaptic and ubuntu software center are now working fine.

Thank you. Problem solved.

N1ck 7h0m4d4k15 (nicktux) said : #9

Ok , glad you solved it , but mark the answer that solved your question (problem). You can re-edit your post.

Thanks

lupitasosa (lupitasosa) said : #10

Thanks NikTh, that solved my question.